Skip to content
Release: Australia · Updated: 2026-03-12 · Official documentation · View source

Sales Agreement API

The Sales Agreement API provides methods for creating a new sales agreement and retrieving an existing sales agreement of a given sys_id.

This API works with data in the Sales Agreement Management application, which managers, agents, and administrators use to generate sales agreements from quotes.

The Sales Agreement API runs in the sn_sales_agmt_core  namespace and requires three plugins to access it:

  • Sales Agreement Data Model (com.sn_sales_agmt_core) ,
  • Product Catalog Management Core (com.sn_prd_pm),
  • Pricing (com.sn_csm_pricing)  

The API also requires the sn_sales_agmt_core.sales_agreement_integrator  role to access it.

Most data is retrieved from or updated in the following tables upon calling this API and must be populated for its endpoints to work successfully:

  • Account [customer_account],
  • Product Offering [sn_prd_pm_product_offering],
  • Product Model [cmdb_model],
  • Quote [quote],
  • Quote Line [quote_line],
  • Price List [price_list]
  • Account [customer_account]
  • Price List [sn_csm_pricing_price_list]
  • Product Model [cmdb_model]
  • Product Offering [sn_prd_pm_product_offering]
  • Quote [sn_quote_mgmt_core_quote]
  • Quote Line [sn_quote_mgmt_core_quote_line_item]
  • Sales Agreement  [sn_sales_agmt_core_sales_agreement]
  • Sales Agreement Line  [sn_sales_agmt_core_sales_agreement_line]
  • Sales Agreement Line Adjustments  [sn_sales_agmt_core_sales_agreement_line_adjustment]
  • Sales Agreement Line Characteristics  [sn_sales_agmt_core_sales_agreement_line_characteristic]

Parent Topic:REST API reference

Sales Agreement - GET /api/sn_sales_agmt_core/salesagreement/{id}

Retrieve a sales agreement associated with a given sys_id.

URL format

Versioned URL: GET /api/sn_sales_agmt_core/v1/salesagreement/{id}

Default URL: GET /api/sn_sales_agmt_core/salesagreement/{id}

Supported request parameters

NameDescription
api\_versionOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String
idRequired. Sys\_id of the sales agreement to retrieve.Table: Sales Agreement  \[sn\_sales\_agmt\_core\_sales\_agreement\] Data type: String
NameDescription
display\_value

Optional. Returns the sales agreement properties in a chosen format.Valid values:

  • all: Response contains the name, label, value, display_value, and type properties for all fields   in the sales agreement. For example:

    "state": { "display_name": "String", "label": "String", "name": "String", "type": "String", "value": "String"  }

  • false: Response contains just the value property for all fields   in the sales agreement. For example:

    "state": {   "value": "draft" }

  • true: Response contains just the display_value property for all fields   in the sales agreement. For example:

    "state": {   "display_value": "Draft" }

Default: false

NameDescription
None 

Headers

The following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see Supported REST API headers.

HeaderDescription
AcceptData format of the response body. Only supports application/json.
Content-TypeData format of the request body. Only supports application/json.
HeaderDescription
None 

Status codes

The following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see REST API HTTP response codes.

Status codeDescription
200Successful. The request was successfully processed.
403Forbidden. The user doesn't have access rights to the specified record.
404Not found. The requested item wasn't found.

Response body parameters (JSON or XML)

NameDescription
resultResults of the sales agreement with all its associated information.Data type: Object
"result": {
    "account": {Object},
    "billing_location": {Object},
    "consumer": {Object},
    "contact": {Object},
    "currency": {Object},
    "default_price_list": {Object},
    "ends": {Object},
    "number": {Object},
    "quote": {Object},
    "sales_agreement_lines": [Array]
    "shipping_location": {Object},
    "short_description": {Object},
    "starts": {Object},
    "state": {Object},
    "sys_id": {Object},
    "sys_created_by": {Object},
    "sys_created_on": {Object},
    "sys_updated_by": {Object},
    "sys_updated_on": {Object}
}
accountAccount information associated with the sales agreement.Table: Account \[customer\_account\] Data type: Object
"account": {
 "display_value": "String",
 "label": "String",
 "name": "String",
 "type": "String",
 "value": "String"
}
account.display\_valueDisplay value of the account. Matches account.value.Data type: String
account.labelLabel of the account.Data type: String
account.nameName of the account.Data type: String
account.typeType of account. Value is always `reference`.Data type: String
account.valueSys\_id of the account.Table: Account \[customer\_account\] Data type: String
billing\_locationBilling address of the sales agreement.Updated table: Location \[cmn\_location\] Data type: Object
"billing_location": { 
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String"
}
billing\_location.display\_valueDisplay value of the billing location. Matches billing_location.value.Data type: String
billing\_location.labelLabel of the billing location.Data type: String
billing\_location.nameName of the billing location.Data type: String
billing\_location.typeType of billing location. Value is always `reference`.Data type: String
billing\_location.valueValue of the billing location.Data type: String
consumerConsumer details of the sales agreement.Table: Consumer \[csm\_consumer\] Data type: Object
"consumer": { 
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String"
}
consumer.display\_valueDisplay value of the consumer. Matches consumer.value.Data type: String
consumer.labelLabel of the consumer.Data type: String
consumer.nameName of the consumer.Data type: String
consumer.typeType of consumer. Value is always `reference`.Data type: String
consumer.valueValue of the consumer.Data type: String
contactContact information associated with the sales agreement.Table: Contact \[customer\_contact\] Data type: Object
"contact": { 
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String"
}
contact.display\_valueDisplay value of the contact. Matches contact.value.Data type: String
contact.labelLabel of the contact.Data type: String
contact.nameName of the contact. Data type: String
contact.typeType of contact. Value is always `reference`.Data type: String
contact.valueValue of the contact.Data type: String
currencyCurrency code associated with the sales agreement.Table: Currency \[fx\_currency\] Data type: Object
"currency": { 
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String"
}
currency.display\_valueDisplay value of the currency. Matches currency.value. For example, USD.Data type: String
currency.labelLabel of the currency.Data type: String
currency.nameName of the currency.Data type: String
currency.typeType of currency. Value is always `reference`.Data type: String
currency.valueCountry currency code of the currency. For example, `USD`.Data type: String
default\_price\_listDetails about the default price list of the sales agreement.Table: Price List \[sn\_csm\_pricing\_price\_list\] Data type: Object
"default_price_list": {
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String" 
}
default\_price\_list.display\_valueDisplay value of the default price list.Data type: String
default\_price\_list.labelLabel of the default price list.Data type: String
default\_price\_list.nameName of the default price list.Data type: String
default\_price\_list.typeType of default price list. Value is always `reference`.Data type: String
default\_price\_list.valueSys\_id of the default price list.Data type: String
endsEnd date of the sales agreement.Data type: Object
"ends": {
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String" 
}
ends.display\_valueDisplay value of the end date. Matches end.value.Data type: String
ends.labelLabel of the end date.Data type: String
ends.labelName of the end date.Data type: String
ends.typeType of end date. Value is always `glide_date`.Data type: String
ends.valueValue of the end date.Format: YYYY-MM-DD Data type: String
numberAutomatically generated sales agreement number or the number posted .Table: Sales Agreement  \[sn\_sales\_agmt\_core\_sales\_agreement\] Data type: Object
"number": { 
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String"
}
number.display\_valueDisplay value of the sales agreement number. Matches number.value.Data type: String
number.labelLabel of the sales agreement number.Data type: String
number.nameName of the sales agreement number.Data type: String
number.typeType of sales agreement number. Value is always `String`.Data type: String
number.valueValue of the sales agreement number. For example, `SA0010106`.Data type: String
quoteInformation about the sales agreement quote.Table: Quote \[sn\_quote\_mgmt\_core\_quote\] Data type: Object
"quote": { 
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String"
}
quote.display\_valueDisplay value of the quote.Data type: String
quote.labelLabel of the quote.Data type: String
quote.nameName of the quote.Data type: String
quote.typeType of quote. Value is always `reference`.Data type: String
quote.valueSys\_id of the quote.Data type: String
sales\_agreement\_linesList of sales agreement lines under the  sales agreement. Table: Sales Agreement Line  \[sn\_sales\_agmt\_core\_sales\_agreement\_line\] Data type: Array of objects
sales_agreement_lines": [
  {
  "child_sales_agreement_lines": [Array]
  "end_date": {Object},
  "number": {Object},
  "parent_line": {Object},
  "price_list": {Object},
  "product_model": {Object},
  "product_offering": {Object},
  "product_specification": {Object},
  "quantity": {Object},
  "quote_line": {Object},
  "sales_agreement": {Object},
  "sales_agreement_line_characteristics": [Array],
  "sales_agreement_line_adjustments": [Array],
  "shipping_location": {Object},
  "short_description": {Object},
  "start_date": {Object},
  "state": {Object},
  "sys_id": {Object},
  "sys_created_by": {Object},
  "sys_created_on": {Object},
  "sys_updated_by": {Object},
  "sys_updated_on": {Object},
  "top_sales_agreement_line": {Object},
  "total_one_time_price": {Object},
  "total_recurring_price": {Object},
  "unit_net_price": {Object},
  "unit_of_measure": {Object},
  }
]
sales\_agreement\_lines.sales\_agreement\_line\_adjustmentsList of sales agreement line adjustments.Table: Sales Agreement Line Adjustments  \[sn\_sales\_agmt\_core\_sales\_agreement\_line\_adjustment\] Data type: Array of objects
"sales_agreement_line_adjustments": [
  {
  "adjustment_source": {Object},
  "adjustment_type": {Object},
  "adjustment_value": {Object},
  "amount": {Object},
  "applicable_to": {Object},
  "number": {Object},
  "quantity": {Object},
  "sales_agreement": {Object},
  "sales_agreement_line": {Object},
  "short_description": {Object},
  "sys_id": {Object},
  "sys_created_by": {Object},
  "sys_updated_by": {Object},
  "sys_created_on": {Object},
  "sys_updated_on": {Object},
  "total_amount": {Object}
  }
]
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.adjustment\_sourceSource information of the sales agreement line adjustment.Table: Sales Agreement Line Adjustments  \[sn\_sales\_agmt\_core\_sales\_agreement\_line\_adjustment\] Data type: Object
"adjustment_source": { 
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String"
}
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.adjustment\_source.display\_valueSource display value of the sales agreement line adjustment. Matches sales agreement line adjustment.value.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.adjustment\_source.labelSource label of the sales agreement line adjustment.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.adjustment\_source.nameSource name of the sales agreement line adjustment.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.adjustment\_source.typeSource type of sales agreement line adjustment. Value is always `string`.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.adjustment\_source.valueSource value of the sales agreement line adjustment.Possible values: - auto - manual Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.adjustment\_typeInformation about the sales agreement line adjustment type.Data type: Object
"adjustment_type": { 
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String"
}
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.adjustment\_type.display\_valueDisplay value of the adjustment type.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.adjustment\_type.labelLabel of the adjustment type.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.adjustment\_type.nameName of the adjustment type.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.adjustment\_type.typeType of adjustment type. Value is always `reference`.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.adjustment\_type.valueSys\_id of the adjustment type.Table: Sales Agreement Line Adjustments  \[sn\_sales\_agmt\_core\_sales\_agreement\_line\_adjustment\] Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.adjustment\_valueInformation about the adjustment value.Table: Sales Agreement Line Adjustments  \[sn\_sales\_agmt\_core\_sales\_agreement\_line\_adjustment\] Data type: Object
"adjustment_type": { 
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String"
}
sales\_agreement\_lines.agreement\_line\_adjustments.adjustment\_value.display\_valueDisplay value of the adjustment value. Matches adjustment_value.value.Data type: Number (decimal)
sales\_agreement\_lines.agreement\_line\_adjustments.adjustment\_value.labelLabel of the adjustment value.Data type: String
sales\_agreement\_lines.agreement\_line\_adjustments.adjustment\_value.nameName of the adjustment value.Data type: String
sales\_agreement\_lines.agreement\_line\_adjustments.adjustment\_value.typeType of adjustment. Value is always `decimal`.Data type: String
sales\_agreement\_lines.agreement\_line\_adjustments.adjustment\_value.valueNumber value of the adjustment.Data type: Number \(decimal\)
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.amountInformation about the amount of the sales agreement line adjustment.Table: Sales Agreement Line Adjustments  \[sn\_sales\_agmt\_core\_sales\_agreement\_line\_adjustment\] Data type: Object
"amount": { 
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String"
}
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.amount.display\_valueDisplay value of the adjustment amount. Matches amount.value. Automatically includes the dollar sign of the associated currency (for example, $0.00 when currency is set to USD).Data type: Number (decimal)
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.amount.labelLabel of the adjustment amount.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.amount.nameName of the adjustment amount.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.amount.typeType of the adjustment amount. Value is always `currency`.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.amount.valueDollar value of the adjustment amount.Data type: Number
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.applicable\_toReference of the entity that the adjustment is applicable to.Table: Sales Agreement Line Adjustments  \[sn\_sales\_agmt\_core\_sales\_agreement\_line\_adjustment\] Data type: Object
"applicable_to": { 
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String"
}
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.applicable\_to.display\_valueDisplay value of the entity that the adjustment is applicable to. Matches applicable_to.value.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.applicable\_to.labelLabel of the entity that the adjustment is applicable to.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.applicable\_to.nameName of the entity that the adjustment is applicable to.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.applicable\_to.typeType of the entity that the adjustment is applicable to. Value is always `String`.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.applicable\_to.valueQuantity type that the line adjustment is applicable to.Possible values: - LUMPSUM\_QTY: lipsum quantity - UNIT\_QTY: unit quantity Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.numberAutomatically generated sales agreement line adjustments number or the number posted.Table: Sales Agreement Line Adjustments  \[sn\_sales\_agmt\_core\_sales\_agreement\_line\_adjustment\] Data type: Object
"number": { 
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String"
}
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.number.display\_valueDisplay value of the adjustments number. Matches number.value.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.number.labelLabel of the adjustment number.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.number.nameName of the adjustment number.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.number.typeType of the adjustment number. Value is always `string`.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.number.valueValue of the adjustment number. For example, `SALA0010004`.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.quantityQuantity of product adjusted on the sales agreement line.Table: Sales Agreement Line Adjustments  \[sn\_sales\_agmt\_core\_sales\_agreement\_line\_adjustment\] Data type: Object
"quantity": { 
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String"
}
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.quantity.display\_valueDisplay value of the adjustment quantity. Matches quantity.value.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.quantity.labelLabel of the adjustment quantity.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.quantity.nameName of the adjustment quantity.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.quantity.typeType of the adjustment quantity. Value is always `decimal`.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.quantity.valueValue of the adjustment quantity.Data type: Number
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.sales\_agreementReference to the sales agreement associated with the sales agreement line adjustment.Table: Sales Agreement Line Adjustments  \[sn\_sales\_agmt\_core\_sales\_agreement\_line\_adjustment\] Data type: Object
"quantity": { 
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String"
}
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.sales\_agreement.display\_valueDisplay value of the sales agreement associated with the sales agreement line adjustment. For example, `SA0010106`.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.sales\_agreement.labelLabel of the sales agreement associated with the sales agreement line adjustment.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.sales\_agreement.nameName of the sales agreement associated with the sales agreement line adjustment.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.sales\_agreement.typeType of the sales agreement associated with the sales agreement line adjustment. Value is always `reference`.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.sales\_agreement.valueSys\_id of the sales agreement associated with the sales agreement line adjustment.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.sales\_agreement\_lineReference to sales agreement line associated with the sales agreement line adjustment.Table: Sales Agreement Line Adjustments  \[sn\_sales\_agmt\_core\_sales\_agreement\_line\_adjustment\] Data type: Object
"sales_agreement_line": { 
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String"
}
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.sales\_agreement\_line.display\_valueNumber of the sales agreement associated with the sales agreement line adjustment. For example, `SAL0010126`.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.sales\_agreement\_line.labelLabel of the sales agreement associated with the sales agreement line adjustment.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.sales\_agreement\_line.nameName of the sales agreement associated with the sales agreement line adjustment.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.sales\_agreement\_line.typeType of the sales agreement associated with the sales agreement line adjustment. Value is always `String`.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.sales\_agreement\_line.valueSys\_id of the sales agreement associated with the sales agreement line adjustment.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.short\_descriptionBrief description detailing the sales agreement line adjustment.Table: Sales Agreement Line Adjustments  \[sn\_sales\_agmt\_core\_sales\_agreement\_line\_adjustment\] Data type: Object
"short_description": { 
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String"
}
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.short\_description.display\_valueDisplay value of the short description detailing the particular line adjustment. Matches short_description.value.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.short\_description.labelLabel of the short description detailing the particular line adjustment.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.short\_description.nameName of the short description detailing the particular line adjustment.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.short\_description.typeType of the short description detailing the particular line adjustment. Value is always `string`.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.short\_description.valueValue of the short description detailing the particular line adjustment.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.sys\_created\_byName of the user who created the sales agreement line adjustment.Table: Sales Agreement Line Adjustments  \[sn\_sales\_agmt\_core\_sales\_agreement\_line\_adjustment\] Data type: Object
"created_by": { 
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String"
}
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.sys\_created\_by.display\_valueDisplay value of the user who created the sales agreement line adjustment. Matches created_by.value.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.sys\_created\_by.labelLabel of the user who created the sales agreement line adjustment.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.sys\_created\_by.nameName of the user who created the sales agreement line adjustment.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.sys\_created\_by.typeType of the user who created the sales agreement line adjustment. Value is always `string`.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.sys\_created\_by.valueValue of the user who created the sales agreement line adjustment.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.sys\_created\_onDate and time of when the sales agreement line adjustment was created.Data type: Object
"created_on": { 
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String"
}
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.sys\_created\_on.display\_value

Display value of the date and time that the line adjustment was created. Matches created_on.value.Format: YYYY-MM-DD HH:mm:ss

Data type: String

sales\_agreement\_lines.sales\_agreement\_line\_adjustments.sys\_created\_on.labelLabel of the date and time that the line adjustment was created.Format: YYYY-MM-DD HH:mm:ss Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.sys\_created\_on.nameName of the date and time that the line adjustment was created.Format: YYYY-MM-DD HH:mm:ss Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.sys\_created\_on.typeType of the date and time that the line adjustment was created. Value is always `glide_date_time`.Format: YYYY-MM-DD HH:mm:ss Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.sys\_created\_on.valueValue of the date and time that the line adjustment was created.Format: YYYY-MM-DD HH:mm:ss Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.sys\_idSys\_id of the sales agreement line adjustment.Table: Sales Agreement Line Adjustments  \[sn\_sales\_agmt\_core\_sales\_agreement\_line\_adjustment\] Data type: Object
"sys_id": { 
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String"
}
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.sys\_id.display\_valueDisplay value of the line adjustment sys_id. Matches sys_id.value.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.sys\_id.labelLabel of the line adjustment sys\_id.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.sys\_id.nameName of the line adjustment sys\_id.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.sys\_id.typeType of the line adjustment sys\_id. Value is always `string`.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.sys\_id.valueValue of the line adjustment sys\_id.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.sys\_updated\_byName of the user who last updated the sales agreement line adjustment.Table: Sales Agreement Line Adjustments  \[sn\_sales\_agmt\_core\_sales\_agreement\_line\_adjustment\] Data type: Object
"updated_by": { 
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String"
}
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.sys\_updated\_by.display\_valueDisplay value of the user who last updated the sales agreement line adjustment. Matches updated_by.value.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.sys\_updated\_by.labelLabel of the user who last updated the sales agreement line adjustment.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.sys\_updated\_by.nameName of the user who last updated the sales agreement line adjustment.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.sys\_updated\_by.typeType of user who last updated the sales agreement line adjustment. Value is always `String`.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.sys\_updated\_by.valueValue of the user who last updated the sales agreement line adjustment.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.sys\_updated\_onDate and time when the sales agreement line adjustment was updated.Data type: Object
"updated_on": { 
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String"
}
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.sys\_updated\_on.display\_value

Display value of the date and time that the line adjustment was last updated. Matches updated_on.value.Format: YYYY-MM-DD HH:mm:ss

Data type: String

sales\_agreement\_lines.sales\_agreement\_line\_adjustments.sys\_updated\_on.labelLabel of the date and time that the line adjustment was last updated.Format: YYYY-MM-DD HH:mm:ss Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.sys\_updated\_on.nameName of the date and time that the line adjustment was last updated.Format: YYYY-MM-DD HH:mm:ss Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.sys\_updated\_on.typeType of date and time that the line adjustment was last updated. Value is always `glide_date_time`.Format: YYYY-MM-DD HH:mm:ss Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.sys\_updated\_on.valueValue of the date and time that the line adjustment was last updated.Format: YYYY-MM-DD HH:mm:ss Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.total\_amountTotal amount of the sales agreement line adjustment.Table: Sales Agreement Line Adjustments  \[sn\_sales\_agmt\_core\_sales\_agreement\_line\_adjustment\] Data type: Object
"total_amount": { 
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String"
}
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.total\_amount.display\_valueDisplay value of the total adjustment amount. Matches total_amount.value.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.total\_amount.labelLabel of the total adjustment amount.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.total\_amount.nameName of the total adjustment amount.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.total\_amount.typeType of the total adjustment amount. Value is always `currency`.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_adjustments.total\_amount.valueValue of the total adjustment amount.Data type: String represented by a number \(float\)
sales\_agreement\_lines.child\_sales\_agreement\_lines

List of sales agreement lines. Follows the same object structure as the sales_agreement_lines object parameter.Table: Sales Agreement Line  [sn_sales_agmt_core_sales_agreement_line]

Data type: Array of objects

"child_sales_agreement_lines": [
  {
  "end_date": {Object},
  "number": {Object},
  "parent_line": {Object},
  "price_list": {Object},
  "product_model": {Object},
  "product_offering": {Object},
  "product_specification": {Object},
  "quantity": {Object},
  "quote_line": {Object},
  "sales_agreement": {Object},
  "sales_agreement_line_adjustments": [Array],
  "sales_agreement_line_characteristics": [Array],
  "shipping_location": {Object},
  "short_description": {Object},
  "start_date": {Object},
  "state": {Object},
  "sys_id": {Object},
  "sys_created_by": {Object},
  "sys_created_on": {Object},
  "sys_updated_by": {Object},
  "sys_updated_on": {Object},
  "top_sales_agreement_line": {Object},
  "total_one_time_price": {Object},
  "total_recurring_price": {Object},
  "unit_net_price": {Object},
  "unit_of_measure": {Object}
  }
]
sales\_agreement\_lines.end\_dateEnd date of the sales agreement line.Data type: Object
"end_date": {
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String" 
}
sales\_agreement\_lines.end\_date.display\_valueDisplay value of the end date for the sales agreement line. Matches end.value.Data type: String
sales\_agreement\_lines.end\_date.labelLabel of the end date for the sales agreement line.Data type: String
sales\_agreement\_lines.end\_date.nameName of the end date for the sales agreement line.Data type: String
sales\_agreement\_lines.end\_date.typeType of end date for the sales agreement line. Value is always `glide_date_time`.Data type: String
sales\_agreement\_lines.end\_date.valueEnd date and time value of the sales agreement line.Format: YYYY-MM-DD HH:mm:ss Data type: String
sales\_agreement\_lines.numberAutomatically generated sales agreement line number or the number posted .Table: Sales Agreement Line  \[sn\_sales\_agmt\_core\_sales\_agreement\_line\] Data type: Object
"number": { 
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String"
}
sales\_agreement\_lines.number.display\_valueDisplay value of the sales agreement line number. For example, SAL0010128. Matches number.value.Data type: String
sales\_agreement\_lines.number.labelLabel of the number.Data type: String
sales\_agreement\_lines.number.nameName of the number.Data type: String
sales\_agreement\_lines.number.typeType of number. Value is always `string`.Data type: String
sales\_agreement\_lines.number.valueValue of the sales agreement line number. For example, `SAL0010128`.Data type: String
sales\_agreement\_lines.parent\_lineInformation about the parent sales agreement line.Table: Sales Agreement Line  \[sn\_sales\_agmt\_core\_sales\_agreement\_line\] Data type: Object
"parent_line": { 
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String"
}
sales\_agreement\_lines.parent\_line.display\_valueDisplay number of the parent sales agreement line. For example, `SAL0010126`.Data type: String
sales\_agreement\_lines.parent\_line.labelLabel of the parent sales agreement line.Data type: String
sales\_agreement\_lines.parent\_line.nameName of the parent sales agreement line.Data type: String
sales\_agreement\_lines.parent\_line.typeType of parent sales agreement line. Value is always `reference`.Data type: String
sales\_agreement\_lines.parent\_line.valueSys\_id of the parent sales agreement line.Data type: String
sales\_agreement\_lines.price\_listPrice list details of the sales agreement line.Table: Sales Agreement Line  \[sn\_sales\_agmt\_core\_sales\_agreement\_line\] Data type: Object
"price_list": {
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String" 
}
sales\_agreement\_lines.price\_list.display\_valueDisplay value of the sales agreement line's price list.Data type: String
sales\_agreement\_lines.price\_list.labelLabel of the sales agreement line's price list.Data type: String
sales\_agreement\_lines.price\_list.nameName of the sales agreement line's price list.Data type: String
sales\_agreement\_lines.price\_list.typeType of sales agreement line's price list. Value is always `reference`.Data type: String
sales\_agreement\_lines.price\_list.valueSys\_id of the price list associated with the sales agreement line.Data type: String
sales\_agreement\_lines.product\_modelDetails about the product model on the sales agreement line.Table: Product Model \[cmdb\_model\] Data type: Object
"product_model": {
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String" 
}
sales\_agreement\_lines.product\_model.display\_valueDisplay value of the product model on the sales agreement line. Matches product_model.value.Data type: String
sales\_agreement\_lines.product\_model.labelLabel of the product model on the sales agreement line.Data type: String
sales\_agreement\_lines.product\_model.nameName of the product model on the sales agreement line.Data type: String
sales\_agreement\_lines.product\_model.typeType of product model on the sales agreement line. Value is always `reference`.Data type: String
sales\_agreement\_lines.product\_model.valueValue of the product model on the sales agreement line.Data type: String
sales\_agreement\_lines.product\_offeringDetails about the product offering on the sales agreement line.Table: Product Offering \[sn\_prd\_pm\_product\_offering\] Data type: Object
"product_offering": {
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String" 
}
sales\_agreement\_lines.product\_offering.display\_valueDisplay value of the product offering on the sales agreement line.Data type: String
sales\_agreement\_lines.product\_offering.labelLabel of the product offering on the sales agreement line.Data type: String
sales\_agreement\_lines.product\_offering.nameName of the product offering on the sales agreement line.Data type: String
sales\_agreement\_lines.product\_offering.typeType of product offering on the sales agreement line. Value is always `reference`.Data type: String
sales\_agreement\_lines.product\_offering.valueValue of the product offering on the sales agreement line.Data type: String
sales\_agreement\_lines.product\_specificationReference to product specification of the sales agreement line.Table: Sales Agreement Line  \[sn\_sales\_agmt\_core\_sales\_agreement\_line\] Data type: Object
"product_offering": {
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String" 
}
sales\_agreement\_lines.product\_specification.display\_valueDisplay value of the product offering on the sales agreement line. Matches product_specification.value.Data type: String
sales\_agreement\_lines.product\_specification.labelLabel of the product specification on the sales agreement line.Data type: String
sales\_agreement\_lines.product\_specification.nameName of the product specification on the sales agreement line.Data type: String
sales\_agreement\_lines.product\_specification.typeType of product specification on the sales agreement line. Value is always `reference`.Data type: String
sales\_agreement\_lines.product\_specification.valueValue of the product specification on the sales agreement line.Data type: String
sales\_agreement\_lines.quantityNumber of products to add to the sales agreement line.Table: Sales Agreement Line  \[sn\_sales\_agmt\_core\_sales\_agreement\_line\] Data type: Object
"quantity": {
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String" 
}
sales\_agreement\_lines.quantity.display\_valueDisplay value of the product quantity on the sales agreement line. Matches quantity.value.Data type: String
sales\_agreement\_lines.quantity.labelLabel of the product quantity on the sales agreement line.Data type: String
sales\_agreement\_lines.quantity.nameName of the product quantity on the sales agreement line.Data type: String
sales\_agreement\_lines.quantity.typeType of product quantity on the sales agreement line. Value is always `decimal`.Data type: String
sales\_agreement\_lines.quantity.valueNumber of products on the sales agreement line. Data type: Number
sales\_agreement\_lines.quote\_lineReference of the quote line item on the sales agreement line.Table: Quote Line \[sn\_quote\_mgmt\_core\_quote\_line\_item\] Data type: Object
"quote_line": {
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String" 
}
sales\_agreement\_lines.quote\_line.display\_valueDisplay value of the quote line item on the sales agreement line.Data type: String
sales\_agreement\_lines.quote\_line.labelLabel of the quote line item on the sales agreement line.Data type: String
sales\_agreement\_lines.quote\_line.nameName of the quote line item on the sales agreement line.Data type: String
sales\_agreement\_lines.quote\_line.typeType of quote line item on the sales agreement line. Value is always `reference`.Data type: String
sales\_agreement\_lines.quote\_line.valueValue of the quote line item on the sales agreement line.Data type: String
sales\_agreement\_lines.sales\_agreementReference to the sales agreement of the sales agreement line.Table: Sales Agreement Line  \[sn\_sales\_agmt\_core\_sales\_agreement\_line\] Data type: Object
"sales_agreement": {
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String" 
}
sales\_agreement\_lines.sales\_agreement.display\_valueDisplay value of the sales agreement of the sales agreement line. For example, `SA0010106`.Data type: String
sales\_agreement\_lines.sales\_agreement.labelLabel of the sales agreement of the sales agreement line.Data type: String
sales\_agreement\_lines.sales\_agreement.nameName of the sales agreement of the sales agreement line.Data type: String
sales\_agreement\_lines.sales\_agreement.typeType of sales agreement of the sales agreement line. Value is always `reference`.Data type: String
sales\_agreement\_lines.sales\_agreement.valueSys\_id of the sales agreement of the sales agreement line.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_characteristicsList of sales agreement line characteristics.Table: Sales Agreement Line Characteristics \[sn\_sales\_agmt\_core\_sales\_agreement\_line\_characteristic\] Data type: Array of objects
"sales_agreement_line_characteristics": [
 {
   "characteristic": {Object},
   "characteristic_option": {Object},
   "sales_agreement": {Object},
   "sales_agreement_line": {Object},
   "sys_id": {Object},
   "sys_created_by": {Object},
   "sys_updated_by": {Object},
   "sys_created_on": {Object},
   "sys_updated_on": {Object},
   "type": {Object},
   "value": {Object}
  }
]
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.characteristicCharacteristic associated with the sales agreement line.Table: sn\_prd\_pm\_characteristic Data type: Object
"characteristic": {
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String" 
}
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.characteristic.display\_valueDisplay value of the characteristic on the sales agreement line.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.characteristic.labelLabel of the characteristic on the sales agreement line.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.characteristic.nameName of the characteristic on the sales agreement line.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.characteristic.typeType of characteristic on the sales agreement line. Value is always `reference`.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.characteristic.valueValue of the characteristic on the sales agreement line.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.characteristic\_optionInformation about the characteristic option on the sales agreement line.Table: Sales Agreement Line Characteristics \[sn\_sales\_agmt\_core\_sales\_agreement\_line\_characteristic\] Data type: Object
"characteristic_option": {
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String" 
}
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.characteristic\_option.display\_valueDisplay value of the characteristic on the sales agreement line. Matches characteristic_option.value. Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.characteristic\_option.labelLabel of the characteristic option on the sales agreement line.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.characteristic\_option.nameName of the characteristic option on the sales agreement line.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.characteristic\_option.typeType of characteristic option on the sales agreement line. Value is always `reference`.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.characteristic\_option.valueValue of the characteristic option on the sales agreement line.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.sales\_agreementDetails of the sales agreement characteristic on the sales agreement line.Table: Sales Agreement Line Characteristics \[sn\_sales\_agmt\_core\_sales\_agreement\_line\_characteristic\] Data type: Object
"sales_agreement": {
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String" 
}
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.sales\_agreement.display\_valueDisplay value of the sales agreement characteristic. Matches sales_agreement.value. Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.sales\_agreement.labelLabel of the sales agreement characteristic.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.sales\_agreement.nameName of the sales agreement characteristic.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.sales\_agreement.typeType of sales agreement characteristic. Value is always `reference`.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.sales\_agreement.valueValue of the sales agreement characteristic.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.sales\_agreement\_lineDetails about the characteristic of the sales agreement line.Table: Sales Agreement Line Characteristics \[sn\_sales\_agmt\_core\_sales\_agreement\_line\_characteristic\] Data type: Object
"sales_agreement_line": {
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String" 
}
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.sales\_agreement\_line.display\_valueDisplay value of the characteristic of the sales agreement line. Matches sales_agreement_line.value. Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.sales\_agreement\_line.labelCharacteristic label of the sales agreement line.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.sales\_agreement\_line.nameCharacteristic name of the sales agreement line.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.sales\_agreement\_line.typeCharacteristic type of the sales agreement line. Value is always `reference`.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.sales\_agreement\_line.valueCharacteristic value of the sales agreement line.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.sys\_created\_byName of the user who created the sales agreement line characteristic.Table: User \[user\] Data type: Object
"sys_created_by": {
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String"
}
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.sys\_created\_by.display\_valueDisplay value of the Created by field. Matches sys_created_by.value.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.sys\_created\_by.labelLabel of the Created by field.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.sys\_created\_by.nameName of the Created by field.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.sys\_created\_by.typeType of the Created by field. Value is always `string`.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.sys\_created\_by.valueValue of the Created by field.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.sys\_created\_onDate and time the sales agreement line characteristic was created.Data type: Object
"sys_created_on": {
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String"
}
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.sys\_created\_on.display\_valueDisplay value of the Created on field. Matches sys_created_on.value.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.sys\_created\_on.labelLabel of the Created on field.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.sys\_created\_on.nameName of the Created on field.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.sys\_created\_on.typeType of the Created on field. Value is always `glide_date_time`.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.sys\_created\_on.valueValue of the Created on field.Format: YYYY-DD-MM HH:mm:ss Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.sys\_idSys\_id of the sales agreement line characteristic.Table: Sales Agreement Line Characteristics \[sn\_sales\_agmt\_core\_sales\_agreement\_line\_characteristic\] Data type: Object
"sys_id": {
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String"
}
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.sys\_id.display\_valueDisplay value of the characteristic sys_id. Matches sys_id.value.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.sys\_id.labelLabel of the characteristic sys\_id.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.sys\_id.nameName of the characteristic sys\_id.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.sys\_id.typeType of the characteristic sys\_id. Value is always `string`.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.sys\_id.idValue of the characteristic sys\_id.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.sys\_updated\_byName of the user who last updated the sales agreement line characteristic.Table: User \[user\] Data type: Object
"sys_updated_by": {
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String"
}
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.sys\_updated\_by.display\_valueDisplay value of the user who updated the characteristic of the sales agreement line item. Matches sys_created_by.value.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.sys\_updated\_by.labelLabel of the user who updated the characteristic.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.sys\_updated\_by.nameName of the user who updated the characteristic.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.sys\_updated\_by.typeType of the user who updated the characteristic. Value is always `string`.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.sys\_updated\_by.valueValue of user who updated the characteristic.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.sys\_updated\_onDate and time the sales agreement line characteristic was last updated.Data type: Object
"sys_updated_on": {
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String"
}
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.sys\_updated\_on.display\_valueDisplay value of the updated date. Matches updated_on.value.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.sys\_updated\_on.labelLabel of the updated date.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.sys\_updated\_on.nameName of the updated date.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.sys\_updated\_on.typeType of the updated date. Value is always `glide_date_time`.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.sys\_updated\_on.valueValue of the updated date.Format: YYYY-DD-MM HH:mm:ss Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.typeType of characteristic in the sales agreement line characteristic.Table: Sales Agreement Line Characteristics \[sn\_sales\_agmt\_core\_sales\_agreement\_line\_characteristic\] Data type: Object
"type": {
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String"
}
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.type.display\_valueDisplay value of the characteristic type. Matches type.value.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.type.labelLabel of the characteristic type.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.type.nameName of the characteristic type.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.type.typeType of the characteristic type. Value is always `string`.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.type.valueValue of the characteristic type.Possible values: - coverage - coverage and usage Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.valueValue of the characteristic on the sales agreement line.Table: Sales Agreement Line Characteristics \[sn\_sales\_agmt\_core\_sales\_agreement\_line\_characteristic\] Data type: Object
"type": {
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String"
}
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.value.display\_valueDisplay value of the characteristic. Matches type.value.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.value.labelLabel of the characteristic value.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.value.nameName of the characteristic value.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.value.typeType of the characteristic value. Value is always `string`.Data type: String
sales\_agreement\_lines.sales\_agreement\_line\_characteristics.value.valueValue of the characteristic.Data type: String
sales\_agreement\_lines.short\_descriptionBrief details describing the sales agreement line.Table: Sales Agreement Line  \[sn\_sales\_agmt\_core\_sales\_agreement\_line\] Data type: Object
"short_description": { 
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String" 
}
sales\_agreement\_lines.short\_description.display\_valueDisplay value of the short description. Matches short_description.value.Data type: String
sales\_agreement\_lines.short\_description.labelLabel of the short description.Data type: String
sales\_agreement\_lines.short\_description.nameName of the short description.Data type: String
sales\_agreement\_lines.short\_description.typeType of short description. Always of type `string`.Data type: String
sales\_agreement\_lines.short\_description.valueValue of the short description.Data type: String
sales\_agreement\_lines.start\_dateStart date of the sales agreement line.Data type: Object
"start_date": {
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String"
}
sales\_agreement\_lines.start\_date.display\_valueDisplay value of the sales agreement line's start date. Matches start_date.value.Data type: String
sales\_agreement\_lines.start\_date.labelLabel of the sales agreement line's start date.Data type: String
sales\_agreement\_lines.start\_date.nameName of the sales agreement line's start date.Data type: String
sales\_agreement\_lines.start\_date.typeType of sales agreement line's start date. Value is always `glide_date_time`.Data type: String
sales\_agreement\_lines.start\_date.valueValue of the sales agreement line's start date.Format: YYYY-MM-DD Data type: String
sales\_agreement\_lines.stateValid state of the sales agreement line.Table: Sales Agreement Line  \[sn\_sales\_agmt\_core\_sales\_agreement\_line\] Data type: Object
"state": { 
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String" 
}
sales\_agreement\_lines.state.display\_valueDisplay value of the state. Matches state.value.Data type: String
sales\_agreement\_lines.state.labelLabel of the state.Data type: String
sales\_agreement\_lines.state.nameName of the state.Data type: String
sales\_agreement\_lines.state.typeType of state. Value is always `string`.Data type: String
sales\_agreement\_lines.state.valueValue of the state.Possible values: - pending\_activation - suspended - active - expired - cancelled Data type: String
sales\_agreement\_lines.sys\_created\_byName of the user who created the sales agreement line.Table: User \[user\] Data type: Object
"sys_created_by": {
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String"
}
sales\_agreement\_lines.sys\_created\_by.display\_valueDisplay value of the user who created the sales agreement line. Matches sys_created_by.value.Data type: String
sales\_agreement\_lines.sys\_created\_by.labelLabel of the user who created the sales agreement line.Data type: String
sales\_agreement\_lines.sys\_created\_by.nameName of the user who created the sales agreement line.Data type: String
sales\_agreement\_lines.sys\_created\_by.typeType of the Created by field. Value is always `string`.Data type: String
sales\_agreement\_lines.sys\_created\_by.valueValue of the user who created the sales agreement line.Data type: String
sales\_agreement\_lines.sys\_created\_onDate and time the sales agreement line record was created.Data type: Object
"sys_created_on": { 
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String"
}
sales\_agreement\_lines.sys\_created\_on.display\_valueDisplay value of the creation date of the sales agreement line record. Matches sys_created_on.value.Data type: String
sales\_agreement\_lines.sys\_created\_on.labelLabel of the creation date of the sales agreement line record.Data type: String
sales\_agreement\_lines.sys\_created\_on.nameName of the creation date of the sales agreement line record.Data type: String
sales\_agreement\_lines.sys\_created\_on.typeType of the creation date of the sales agreement line record. Value is always `glide_date_time`.Data type: String
sales\_agreement\_lines.sys\_created\_on.valueValue of the creation date of the sales agreement line record.Format: YYYY-MM-DD HH:mm:ss Data type: String
sales\_agreement\_lines.sys\_idSys\_id of the sales agreement line record .Table: Sales Agreement Line  \[sn\_sales\_agmt\_core\_sales\_agreement\_line\] Data type: Object
"sys_id": { 
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String" 
}
sales\_agreement\_lines.sys\_id.displayValueDisplay value of the sys_id of the sales agreement line record . Matches sys_id.value.Data type: String
sales\_agreement\_lines.sys\_id.labelAutomatically-generated name or label of the sales agreement line record  sys\_id.Data type: String
sales\_agreement\_lines.sys\_id.typeType of sys\_id of the sales agreement line record . Value is always `string`.Data type: String
sales\_agreement\_lines.sys\_id.valueSys\_id number assigned to the sales agreement line record .Data type: String
sales\_agreement\_lines.sys\_updated\_byName of the user who last updated the sales agreement line.Table: User \[user\] Data type: Object
"sys_updated_by": { 
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String"
}
sales\_agreement\_lines.sys\_updated\_by.display\_valueDisplay value of the user who updated the sales agreement line. Matches sys_updated_by.value.Data type: String
sales\_agreement\_lines.sys\_updated\_by.labelLabel of the user who updated the sales agreement line.Data type: String
sales\_agreement\_lines.sys\_updated\_by.nameName of the user who updated the sales agreement line.Data type: String
sales\_agreement\_lines.sys\_updated\_by.typeType of the user who updated the sales agreement line. Value is always `string`.Data type: String
sales\_agreement\_lines.sys\_updated\_by.valueValue of the user who updated the sales agreement line.Data type: String
sales\_agreement\_lines.sys\_updated\_onDate and time the sales agreement line record was last updated.Data type: Object
"sys_updated_on": { 
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String"
}
sales\_agreement\_lines.sys\_updated\_on.display\_valueThe display value of the updated date and time on the sales agreement line. Matches sys_updated_on.value.Data type: String
sales\_agreement\_lines.sys\_updated\_on.labelLabel of the updated date and time on the sales agreement lineData type: String
sales\_agreement\_lines.sys\_updated\_on.nameName of the updated date and time on the sales agreement lineData type: String
sales\_agreement\_lines.sys\_updated\_on.typeType of the updated date and time on the sales agreement line. Value is always `glide_date_time`.Data type: String
sales\_agreement\_lines.sys\_updated\_on.valueValue of the updated date and time on the sales agreement lineFormat: YYYY-MM-DD HH:mm:ss Data type: String
sales\_agreement\_lines.top\_sales\_agreement\_lineInformation about the top sales agreement line.Table: Sales Agreement Line  \[sn\_sales\_agmt\_core\_sales\_agreement\_line\] Data type: Object
"top_sales_agreement_line": { 
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String"
}
sales\_agreement\_lines.top\_sales\_agreement\_line.display\_valueDisplay value of the top sales agreement line. Matches top_sales_agreement_line.value.Data type: String
sales\_agreement\_lines.top\_sales\_agreement\_line.labelLabel of the top sales agreement line.Data type: String
sales\_agreement\_lines.top\_sales\_agreement\_line.nameName the top sales agreement line.Data type: String
sales\_agreement\_lines.top\_sales\_agreement\_line.typeType of the top sales agreement line. Value is always `reference`.Data type: String
sales\_agreement\_lines.top\_sales\_agreement\_line.valueValue of the top sales agreement line.Data type: String
sales\_agreement\_lines.total\_one\_time\_priceTotal one-time charges to be paid for the product or service.Table: Sales Agreement Line  \[sn\_sales\_agmt\_core\_sales\_agreement\_line\] Data type: Object
"total_one_time_price": { 
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String"
}
sales\_agreement\_lines.total\_one\_time\_price.display\_valueDisplay value of the total one time price. Matches total_one_time_price.value.Data type: String
sales\_agreement\_lines.total\_one\_time\_price.labelLabel of the total one time price.Data type: String
sales\_agreement\_lines.total\_one\_time\_price.nameName of the total one time price.Data type: String
sales\_agreement\_lines.total\_one\_time\_price.typeType of the total one time price. Value is always `decimal`.Data type: String
sales\_agreement\_lines.total\_one\_time\_price.valueValue of the total one time price.Data type: String represented as a number \(currency\)
sales\_agreement\_lines.total\_recurring\_priceTotal recurring price for the product associated with the sales agreement line.Table: Sales Agreement Line  \[sn\_sales\_agmt\_core\_sales\_agreement\_line\] Data type: Object
"total_recurring_price": { 
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String"
}
sales\_agreement\_lines.total\_recurring\_price.display\_valueDisplay value of the total one time price. Matches total_recurring_price.value.Data type: String
sales\_agreement\_lines.total\_recurring\_price.labelLabel of the total recurring price.Data type: String
sales\_agreement\_lines.total\_recurring\_price.nameName of the total recurring price.Data type: String
sales\_agreement\_lines.total\_recurring\_price.typeType of the total recurring price. Value is always `decimal`.Data type: String
sales\_agreement\_lines.total\_recurring\_price.valueValue of the total recurring price.Data type: String represented as a number \(currency\)
sales\_agreement\_lines.unit\_net\_priceThe price for each unit within the sales agreement line.Table: Sales Agreement Line  \[sn\_sales\_agmt\_core\_sales\_agreement\_line\] Data type: Object
"unit_net_price": { 
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String"
}
sales\_agreement\_lines.unit\_net\_priceDisplay value of the unit net price. Matches unit_net_price.value.Data type: String
sales\_agreement\_lines.unit\_net\_priceLabel of the unit net price.Data type: String
sales\_agreement\_lines.unit\_net\_priceName of the unit net price.Data type: String
sales\_agreement\_lines.unit\_net\_priceType of the unit net price. Value is always `decimal`.Data type: String
sales\_agreement\_lines.unit\_net\_priceValue of the unit net price.Data type: String represented as a number \(currency\)
sales\_agreement\_lines.unit\_of\_measurementUnit of measurement of the sales agreement line.Table: Unit of measures \[sn\_prd\_pm\_uom\_list\] Data type: Object
"unit_of_measurement": { 
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String"
}
sales\_agreement\_lines.unit\_of\_measurement.display\_valueDisplay value of the unit of measurement. Matches unit_of_measurement.value.Data type: String
sales\_agreement\_lines.unit\_of\_measurement.labelLabel of the unit of measurement.Data type: String
sales\_agreement\_lines.unit\_of\_measurement.nameName of the unit of measurement.Data type: String
sales\_agreement\_lines.unit\_of\_measurement.typeType of the unit of measurement. Value is always `reference`.Data type: String
sales\_agreement\_lines.unit\_of\_measurement.valueValue of the unit of measurement. For example, `bundle` or `each`.Data type: String
shipping\_locationShipping address details on the sales agreement.Table: Location \[location\] Data type: Object
"unit_of_measure": { 
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String"
}
shipping\_location.display\_valueDisplay value of the shipping location.Data type: String
shipping\_location.labelLabel of the shipping location.Data type: String
shipping\_location.nameName of the shipping location.Data type: String
shipping\_location.typeType of shipping location. Value is always `reference`.Data type: String
shipping\_location.valueValue of the shipping location. For example, an address.Data type: String
short\_descriptionBrief details describing the sales agreement.Table: Sales Agreement  \[sn\_sales\_agmt\_core\_sales\_agreement\] Data type: Object
"short_description": { 
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String" 
}
short\_description.display\_valueDisplay value of the short description. Matches short_description.value.Data type: String
short\_description.labelLabel of the short description.Data type: String
short\_description.nameName of the short description.Data type: String
short\_description.typeType of short description. Always of type `string`.Data type: String
short\_description.valueValue of the short description.Data type: String
startsStart date of the sales agreement.Data type: Object
"starts": { 
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String"
}
starts.display\_valueDisplay value of the start date. Matches start.value.Data type: String
starts.labelLabel of the start date.Data type: String
starts.nameName of the start date.Data type: String
starts.typeType of start date. Value is always `glide_date_time`Data type: String
starts.valueValue of the start date.Format: YYYY-MM-DD HH:mm:ss Data type: String
stateState of the sales agreement.Table: Sales Agreement  \[sn\_sales\_agmt\_core\_sales\_agreement\] Data type: Object
"state": { 
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String" 
}
state.display\_valueDisplay value of the state. Matches state.value.Data type: String
state.lableLabel of the state.Data type: String
state.nameName of the state.Data type: String
state.typeType of state. Value is always `string`.Data type: String
state.valueValue of the state.Possible values: - active - cancelled - draft - expired Data type: String
sys\_created\_byName of the user who created the sales agreement.Table: User \[user\] Data type: Object
"sys_created_by": {
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String"
}
sys\_created\_by.display\_valueDisplay value of the user who created the sales agreement. Matches sys_created_by.value.Data type: String
sys\_created\_by.labelLabel of the user who created the sales agreement.Data type: String
sys\_created\_by.nameName of the user who created the sales agreement.Data type: String
sys\_created\_by.typeType of the user who created the sales agreement. Value is always `string`.Data type: String
sys\_created\_by.valueValue of the user who created the sales agreement.Data type: String
sys\_created\_onDetails about the date and time that the sales agreement was created.Data type: Object
"sys_created_on": { 
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String"
}
sys\_created\_on.display\_valueDisplay value of the creation date and time. Matches sys_created_on.value.Data type: String
sys\_created\_on.labelLabel of the creation date and time.Data type: String
sys\_created\_on.nameName of the creation date and time.Data type: String
sys\_created\_on.typeType of the creation date and time. Value is always `string`.Data type: String
sys\_created\_on.valueValue of the creation date and time.Data type: String
sys\_idSys\_id   of the newly created sales agreement.Table: Sales Agreement  \[sn\_sales\_agmt\_core\_sales\_agreement\] Data type: Object
"sys_id": { 
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String" 
}
sys\_id.displayValueDisplay value of the unique sys_id value. Matches sys_id.value.Data type: String
sys\_id.labelAutomatically generated name or label of the sys\_id.Data type: String
sys\_id.typeType of sys\_id given to the sales agreement. Value is always `GUID`.Data type: String
sys\_id.valueSys\_id number assigned to the new sales agreement.Data type: String
sys\_updated\_byName of the user who last updated the sales agreement.Table: User \[user\] Data type: Object
"sys_updated_by": { 
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String"
}
sys\_updated\_by.display\_valueDisplay value of the user who updated the sales agreement. Matches sys_updated_by.value.Data type: String
sys\_updated\_by.labelLabel of the user who updated the sales agreement.Data type: String
sys\_updated\_by.nameName of the user who updated the sales agreement.Data type: String
sys\_updated\_by.typeType of the user who updated the sales agreement. Value is always `string`.Data type: String
sys\_updated\_by.valueValue of the user who updated the sales agreement.Data type: String
sys\_updated\_onDetails about the date and time that the sales agreement was updated.Data type: Object
"sys_updated_on": { 
  "display_value": "String",
  "label": "String",
  "name": "String",
  "type": "String",
  "value": "String"
}
sys\_updated\_on.display\_value

Date and time value of the updated sales agreement. Matches sys_updated_on.value.Format: YYYY-MM-DD HH:mm:ss

Data type: String

sys\_updated\_on.labelLabel of the updated sales agreement.Data type: String
sys\_updated\_on.nameName of the updated sales agreement.Data type: String
sys\_updated\_on.typeType of the updated sales agreement. Value is always `glide_date_time`.Data type: String
sys\_updated\_on.valueDate and time value of the updated sales agreement.Format: YYYY-MM-DD HH:mm:ss Data type: String

cURL request

The following example returns the sales agreement information associated with the given sys_id and the optional display_value parameter set to true so that display values are provided in the response body.

curl "https://instance.service-now.com/api/sn_sales_agmt_core/v1/salesagreement/eb853fe5b5165610f87786d3c2884335?display_value=true" \
--request POST \
--header "Accept:application/json" \
--header "Content-Type:application/json" \

Response body. The response shows the display_values for every parameter of the given sales agreement.

{
  "result": {
    "sys_id": {
      "display_value": "eb853fe5b5165610f87786d3c2884335"
    },
    "sys_created_by": {
      "display_value": "maint"
    },
    "sys_updated_by": {
      "display_value": "maint"
    },
    "sys_created_on": {
      "display_value": "2024-12-05 22:43:51"
    },
    "sys_updated_on": {
      "display_value": "2024-12-05 22:43:51"
    },
    "account": {
      "display_value": "Boxeo"
    },
    "consumer": {
      "display_value": ""
    },
    "number": {
      "display_value": "SA0010004"
    },
    "state": {
      "display_value": "Active"
    },
    "starts": {
      "display_value": "2024-01-01"
    },
    "ends": {
      "display_value": "2024-12-31"
    },
    "short_description": {
      "display_value": "This is a Sa created by API"
    },
    "currency": {
      "display_value": "USD"
    },
    "default_price_list": {
      "display_value": "SA Price List"
    },
    "billing_location": {
      "display_value": "100 South Charles Street, Baltimore,MD"
    },
    "contact": {
      "display_value": "Alex Linde"
    },
    "shipping_location": {
      "display_value": "100 South Charles Street, Baltimore,MD"
    },
    "quote": {
      "display_value": "QT0000001"
    },
    "sales_agreement_lines": [
      {
        "sys_id": {
          "display_value": "af853fe5b5165610f87786d3c2884339"
        },
        "sys_created_by": {
          "display_value": "maint"
        },
        "sys_updated_by": {
          "display_value": "maint"
        },
        "sys_created_on": {
          "display_value": "2024-12-05 22:43:51"
        },
        "sys_updated_on": {
          "display_value": "2024-12-05 22:43:51"
        },
        "number": {
          "display_value": "SAL0010003"
        },
        "sales_agreement": {
          "display_value": "SA0010004"
        },
        "short_description": {
          "display_value": "this is sample sa line 1"
        },
        "start_date": {
          "display_value": "2024-11-10"
        },
        "end_date": {
          "display_value": "2024-12-31"
        },
        "state": {
          "display_value": "Active"
        },
        "product_offering": {
          "display_value": "Home Automation Bundle"
        },
        "product_specification": {
          "display_value": ""
        },
        "product_model": {
          "display_value": ""
        },
        "price_list": {
          "display_value": "SA Price List"
        },
        "parent_line": {
          "display_value": ""
        },
        "unit_net_price": {
          "display_value": "£314.2315"
        },
        "quantity": {
          "display_value": "2"
        },
        "unit_of_measurement": {
          "display_value": "Each"
        },
        "shipping_location": {
          "display_value": "100 South Charles Street, Baltimore,MD"
        },
        "total_one_time_price": {
          "display_value": "£314.2315"
        },
        "total_recurring_price": {
          "display_value": "£0.00"
        },
        "top_sales_agreement_line": {
          "display_value": "SAL0010003"
        },
        "quote_line": {
          "display_value": ""
        },
        "child_sales_agreement_lines": [
          {
            "sys_id": {
              "display_value": "eb85f329b5165610f87786d3c2884318"
            },
            "sys_created_by": {
              "display_value": "maint"
            },
            "sys_updated_by": {
              "display_value": "maint"
            },
            "sys_created_on": {
              "display_value": "2024-12-05 22:43:51"
            },
            "sys_updated_on": {
              "display_value": "2024-12-05 22:43:51"
            },
            "number": {
              "display_value": "SAL0010004"
            },
            "sales_agreement": {
              "display_value": "SA0010004"
            },
            "short_description": {
              "display_value": "this is sample child sa line 1"
            },
            "start_date": {
              "display_value": "2024-11-11"
            },
            "end_date": {
              "display_value": "2024-12-31"
            },
            "state": {
              "display_value": "Active"
            },
            "product_offering": {
              "display_value": "Home Automation Hub"
            },
            "product_specification": {
              "display_value": ""
            },
            "product_model": {
              "display_value": ""
            },
            "price_list": {
              "display_value": "SA Price List"
            },
            "parent_line": {
              "display_value": "SAL0010003"
            },
            "unit_net_price": {
              "display_value": "£94.2694"
            },
            "quantity": {
              "display_value": "2"
            },
            "unit_of_measurement": {
              "display_value": "Each"
            },
            "shipping_location": {
              "display_value": "100 South Charles Street, Baltimore,MD"
            },
            "total_one_time_price": {
              "display_value": "£94.2694"
            },
            "total_recurring_price": {
              "display_value": "£0.00"
            },
            "top_sales_agreement_line": {
              "display_value": "SAL0010003"
            },
            "quote_line": {
              "display_value": ""
            },
            "child_sales_agreement_lines": [],
            "sales_agreement_line_characteristics": [
              {
                "sys_id": {
                  "display_value": "e385f329b5165610f87786d3c288431a"
                },
                "sys_created_by": {
                  "display_value": "maint"
                },
                "sys_updated_by": {
                  "display_value": "maint"
                },
                "sys_created_on": {
                  "display_value": "2024-12-05 22:43:51"
                },
                "sys_updated_on": {
                  "display_value": "2024-12-05 22:43:51"
                },
                "sales_agreement": {
                  "display_value": "SA0010004"
                },
                "sales_agreement_line": {
                  "display_value": "SAL0010004"
                },
                "characteristic": {
                  "display_value": "Connectivity Tech"
                },
                "type": {
                  "display_value": null
                },
                "characteristic_option": {
                  "display_value": "3G"
                },
                "value": {
                  "display_value": "3G"
                }
              }
            ],
            "sales_agreement_line_adjustments": [
              {
                "sys_id": {
                  "display_value": "2385f329b5165610f87786d3c288431b"
                },
                "sys_created_by": {
                  "display_value": "maint"
                },
                "sys_updated_by": {
                  "display_value": "maint"
                },
                "sys_created_on": {
                  "display_value": "2024-12-05 22:43:51"
                },
                "sys_updated_on": {
                  "display_value": "2024-12-05 22:43:51"
                },
                "sales_agreement": {
                  "display_value": "SA0010004"
                },
                "sales_agreement_line": {
                  "display_value": "SAL0010004"
                },
                "adjustment_type": {
                  "display_value": "Markdown %"
                },
                "adjustment_source": {
                  "display_value": "Manual"
                },
                "adjustment_value": {
                  "display_value": "20"
                },
                "applicable_to": {
                  "display_value": "Unit Quantity"
                },
                "short_description": {
                  "display_value": "Price adjustment"
                },
                "number": {
                  "display_value": "SALA0010004"
                },
                "quantity": {
                  "display_value": "1"
                },
                "total_amount": {
                  "display_value": "£28.00"
                },
                "amount": {
                  "display_value": "£28.00"
                }
              }
            ]
          }
        ],
        "sales_agreement_line_characteristics": [
          {
            "sys_id": {
              "display_value": "a785f329b5165610f87786d3c2884315"
            },
            "sys_created_by": {
              "display_value": "maint"
            },
            "sys_updated_by": {
              "display_value": "maint"
            },
            "sys_created_on": {
              "display_value": "2024-12-05 22:43:51"
            },
            "sys_updated_on": {
              "display_value": "2024-12-05 22:43:51"
            },
            "sales_agreement": {
              "display_value": "SA0010004"
            },
            "sales_agreement_line": {
              "display_value": "SAL0010003"
            },
            "characteristic": {
              "display_value": "Connectivity Tech"
            },
            "type": {
              "display_value": null
            },
            "characteristic_option": {
              "display_value": "3G"
            },
            "value": {
              "display_value": "3G"
            }
          }
        ],
        "sales_agreement_line_adjustments": [
          {
            "sys_id": {
              "display_value": "2b85f329b5165610f87786d3c2884316"
            },
            "sys_created_by": {
              "display_value": "maint"
            },
            "sys_updated_by": {
              "display_value": "maint"
            },
            "sys_created_on": {
              "display_value": "2024-12-05 22:43:51"
            },
            "sys_updated_on": {
              "display_value": "2024-12-05 22:43:51"
            },
            "sales_agreement": {
              "display_value": "SA0010004"
            },
            "sales_agreement_line": {
              "display_value": "SAL0010003"
            },
            "adjustment_type": {
              "display_value": "Markdown %"
            },
            "adjustment_source": {
              "display_value": "Auto"
            },
            "adjustment_value": {
              "display_value": "10"
            },
            "applicable_to": {
              "display_value": "Unit Quantity"
            },
            "short_description": {
              "display_value": "Price adjustment"
            },
            "number": {
              "display_value": "SALA0010003"
            },
            "quantity": {
              "display_value": "3"
            },
            "total_amount": {
              "display_value": "£120.00"
            },
            "amount": {
              "display_value": "£40.00"
            }
          }
        ]
      }
    ]
  }
}

cURL request

The following example returns the sales agreement information associated with the given sys_id and the optional display_value parameter set to all so that all parameter values are provided in the response body.

curl "https://instance.service-now.com/api/sn_sales_agmt_core/v1/salesagreement/eb853fe5b5165610f87786d3c2884335?display_value=true" \
--request POST \
--header "Accept:application/json" \
--header "Content-Type:application/json" \
--data "{
  "state": "active",
  "account": "86837a386f0331003b3c498f5d3ee4ca",
  "starts": "2024-01-01",
  "ends": "2024-12-31",
  "short_description": "this is a sample sales agreement",
  "quote": "04ba9004f11f3110f8777d7194f166f6",
  "default_price_list": "19d29513d0e63110f8770dbf976be122",
  "contact": "",
  "name": "",
  "description": "",
  "currency": "",
  "sales_agreement_lines": [
    {
      "start_date": "2024-02-01",
      "end_date": "2024-11-30",
      "short_description": "this is sample sa line 1",
      "state": "active",
      "quantity": "",
      "price_list": "19d29513d0e63110f8770dbf976be122",
      "product_offering": "",
      "product_specification": "",
      "product_model": "",
      "unit_net_price": "",
      "unit_of_measure": "",
      "shipping_location": "",
      "billing_location": "",
      "total_one_time_price": "",
      "total_recurring_price": "",
      "quote_line": "",
      "child_sales_agreement_lines": [
        {
          "start_date": "2024-02-01",
          "end_date": "2024-11-30",
          "short_description": "this is sample sa line 1",
          "state": "active",
          "quantity": "",
          "price_list": "19d29513d0e63110f8770dbf976be122",
          "product_offering": "",
          "product_specification": "",
          "product_model": "",
          "unit_net_price": "",
          "unit_of_measure": "",
          "shipping_location": "",
          "billing_location": "",
          "total_one_time_price": "",
          "total_recurring_price": "",
          "quote_line": "",
          "sales_agreement_line_characteristics": [
            {
              "characteristic": "4d289f1a775131108e191e599a5a99c7",
              "type": "coverage",
              "characteristic_option": "",
              "value": ""
            }
          ]
        },
        {
          "start_date": "2024-02-01",
          "end_date": "2024-11-30",
          "short_description": "this is sample sa line 1",
          "state": "active",
          "quantity": "",
          "price_list": "19d29513d0e63110f8770dbf976be122",
          "product_offering": "",
          "product_specification": "",
          "product_model": "",
          "unit_net_price": "",
          "unit_of_measure": "",
          "shipping_location": "",
          "billing_location": "",
          "total_one_time_price": "",
          "total_recurring_price": "",
          "quote_line": "",
          "sales_agreement_line_characteristics": [
            {
              "characteristic": "4d289f1a775131108e191e599a5a99c7",
              "type": "coverage",
              "characteristic_option": "",
              "value": ""
            }
          ]
        }
      ],
      "sales_agreement_line_characteristics": [
        {
          "characteristic": "4d289f1a775131108e191e599a5a99c7",
          "type": "coverage",
          "characteristic_option": "",
          "value": ""
        }
      ],
      "sales_agreement_line_adjustments": [
        {
          "total_amount": "",
          "quantity": 3,
          "amount": "",
          "short_description": "line adjustment",
          "adjustment_value": "123",
          "adjustment_source": "",
          "adjustment_type": "d88bc79653dd91105c0eddeeff7b12c1",
          "applicable_to": ""
        }
      ]
    }
  ]
}"

Response body. The response shows all parameters of the given sales agreement.

{
  "result": {
    "sys_id": {
      "label": "Sys ID",
      "value": "bc93e08a78755a10f8777f88938ba1d8",
      "displayValue": "bc93e08a78755a10f8777f88938ba1d8",
      "type": "GUID"
    },
    "sys_created_by": {
      "name": "sys_created_by",
      "label": "Created by",
      "value": "maint",
      "display_value": "maint",
      "type": "string"
    },
    "sys_updated_by": {
      "name": "sys_updated_by",
      "label": "Updated by",
      "value": "maint",
      "display_value": "maint",
      "type": "string"
    },
    "sys_created_on": {
      "name": "sys_created_on",
      "label": "Created",
      "value": "2024-11-12 08:11:59",
      "display_value": "2024-11-12 00:11:59",
      "type": "glide_date_time"
    },
    "sys_updated_on": {
      "name": "sys_updated_on",
      "label": "Updated",
      "value": "2024-11-12 08:11:59",
      "display_value": "2024-11-12 00:11:59",
      "type": "glide_date_time"
    },
    "name": null,
    "account": {
      "name": "account",
      "label": "Account",
      "value": "86837a386f0331003b3c498f5d3ee4ca",
      "display_value": "Boxeo",
      "type": "reference"
    },
    "consumer": {
      "name": "consumer",
      "label": "Consumer",
      "value": null,
      "display_value": "",
      "type": "reference"
    },
    "number": {
      "name": "number",
      "label": "Number",
      "value": "SA0010106",
      "display_value": "SA0010106",
      "type": "string"
    },
    "state": {
      "name": "state",
      "label": "State",
      "value": "active",
      "display_value": "Active",
      "type": "string"
    },
    "starts": {
      "name": "starts",
      "label": "Start date",
      "value": "2024-01-01",
      "display_value": "2024-01-01",
      "type": "glide_date"
    },
    "ends": {
      "name": "ends",
      "label": "End date",
      "value": "2024-12-31",
      "display_value": "2024-12-31",
      "type": "glide_date"
    },
    "short_description": {
      "name": "short_description",
      "label": "Short description",
      "value": "this is a sample sales agreement",
      "display_value": "this is a sample sales agreement",
      "type": "string"
    },
    "description": {
      "name": "description",
      "label": "Description",
      "value": null,
      "display_value": "",
      "type": "string"
    },
    "currency": {
      "name": "currency",
      "label": "Currency",
      "value": null,
      "display_value": "",
      "type": "reference"
    },
    "default_price_list": {
      "name": "default_price_list",
      "label": "Default price list",
      "value": "19d29513d0e63110f8770dbf976be122",
      "display_value": "Standard Price List",
      "type": "reference"
    },
    "billing_location": {
      "name": "billing_location",
      "label": "Billing location",
      "value": null,
      "display_value": "",
      "type": "reference"
    },
    "contact": {
      "name": "contact",
      "label": "Contact",
      "value": null,
      "display_value": "",
      "type": "reference"
    },
    "shipping_location": {
      "name": "shipping_location",
      "label": "Shipping location",
      "value": null,
      "display_value": "",
      "type": "reference"
    },
    "quote": {
      "name": "quote",
      "label": "Quote",
      "value": "04ba9004f11f3110f8777d7194f166f6",
      "display_value": "QT0000001",
      "type": "reference"
    },
    "service_contract_lines": [
      {
        "sys_id": {
          "label": "Sys ID",
          "value": "3c93e08a78755a10f8777f88938ba1dd",
          "displayValue": "3c93e08a78755a10f8777f88938ba1dd",
          "type": "GUID"
        },
        "sys_created_by": {
          "name": "sys_created_by",
          "label": "Created by",
          "value": "maint",
          "display_value": "maint",
          "type": "string"
        },
        "sys_updated_by": {
          "name": "sys_updated_by",
          "label": "Updated by",
          "value": "maint",
          "display_value": "maint",
          "type": "string"
        },
        "sys_created_on": {
          "name": "sys_created_on",
          "label": "Created",
          "value": "2024-11-12 08:11:59",
          "display_value": "2024-11-12 00:11:59",
          "type": "glide_date_time"
        },
        "sys_updated_on": {
          "name": "sys_updated_on",
          "label": "Updated",
          "value": "2024-11-12 08:11:59",
          "display_value": "2024-11-12 00:11:59",
          "type": "glide_date_time"
        },
        "number": {
          "name": "number",
          "label": "Number",
          "value": "SAL0010126",
          "display_value": "SAL0010126",
          "type": "string"
        },
        "sales_agreement": {
          "name": "sales_agreement",
          "label": "Sales agreement",
          "value": "bc93e08a78755a10f8777f88938ba1d8",
          "display_value": "SA0010106",
          "type": "reference"
        },
        "short_description": {
          "name": "short_description",
          "label": "Short description",
          "value": "this is sample sa line 1",
          "display_value": "this is sample sa line 1",
          "type": "string"
        },
        "start_date": {
          "name": "start_date",
          "label": "Start date",
          "value": "2024-02-01",
          "display_value": "2024-02-01",
          "type": "glide_date"
        },
        "end_date": {
          "name": "end_date",
          "label": "End date",
          "value": "2024-11-30",
          "display_value": "2024-11-30",
          "type": "glide_date"
        },
        "state": {
          "name": "state",
          "label": "State",
          "value": "active",
          "display_value": "Active",
          "type": "string"
        },
        "product_offering": {
          "name": "product_offering",
          "label": "Product offering",
          "value": null,
          "display_value": "",
          "type": "reference"
        },
        "product_specification": {
          "name": "product_specification",
          "label": "Product specification",
          "value": null,
          "display_value": "",
          "type": "reference"
        },
        "product_model": {
          "name": "product_model",
          "label": "Product model",
          "value": null,
          "display_value": "",
          "type": "reference"
        },
        "price_list": {
          "label": "Price list",
          "value": "19d29513d0e63110f8770dbf976be122",
          "display_value": "Standard Price List",
          "type": "reference"
        },
        "parent_line": {
          "name": "parent_line",
          "label": "Parent line",
          "value": null,
          "display_value": "",
          "type": "reference"
        },
        "unit_net_price": {
          "name": "unit_net_price",
          "label": "Unit net price",
          "value": "0",
          "display_value": "£0.00",
          "type": "currency"
        },
        "quantity": {
          "name": "quantity",
          "label": "Quantity",
          "value": "2",
          "display_value": "2",
          "type": "decimal"
        },
        "unit_of_measure": null,
        "shipping_location": {
          "name": "shipping_location",
          "label": "Shipping location",
          "value": null,
          "display_value": "",
          "type": "reference"
        },
        "total_one_time_price": {
          "name": "total_one_time_price",
          "label": "Total one-time price",
          "value": "0",
          "display_value": "£0.00",
          "type": "currency"
        },
        "total_recurring_price": {
          "name": "total_recurring_price",
          "label": "Total recurring price",
          "value": "0",
          "display_value": "£0.00",
          "type": "currency"
        },
        "top_agreement_line": null,
        "quote_line": {
          "name": "quote_line",
          "label": "Quote line",
          "value": null,
          "display_value": "",
          "type": "reference"
        },
        "sales_agreement_line_characteristics": [
          {
            "sys_id": {
              "label": "Sys ID",
              "value": "b093e08a78755a10f8777f88938ba1e0",
              "displayValue": "b093e08a78755a10f8777f88938ba1e0",
              "type": "GUID"
            },
            "sys_created_by": {
              "name": "sys_created_by",
              "label": "Created by",
              "value": "maint",
              "display_value": "maint",
              "type": "string"
            },
            "sys_updated_by": {
              "name": "sys_updated_by",
              "label": "Updated by",
              "value": "maint",
              "display_value": "maint",
              "type": "string"
            },
            "sys_created_on": {
              "name": "sys_created_on",
              "label": "Created",
              "value": "2024-11-12 08:11:59",
              "display_value": "2024-11-12 00:11:59",
              "type": "glide_date_time"
            },
            "sys_updated_on": {
              "name": "sys_updated_on",
              "label": "Updated",
              "value": "2024-11-12 08:11:59",
              "display_value": "2024-11-12 00:11:59",
              "type": "glide_date_time"
            },
            "sales_agreement": {
              "name": "sales_agreement",
              "label": "Sales agreement",
              "value": "bc93e08a78755a10f8777f88938ba1d8",
              "display_value": "SA0010106",
              "type": "reference"
            },
            "sales_agreement_line": {
              "name": "sales_agreement_line",
              "label": "Sales agreement line",
              "value": "3c93e08a78755a10f8777f88938ba1dd",
              "display_value": "SAL0010126",
              "type": "reference"
            },
            "characteristic": {
              "name": "characteristic",
              "label": "Characteristic",
              "value": "4d289f1a775131108e191e599a5a99c7",
              "display_value": "AC",
              "type": "reference"
            },
            "type": {
              "name": "type",
              "label": "Type",
              "value": "coverage",
              "display_value": "Coverage",
              "type": "string"
            },
            "characteristic_option": {
              "name": "characteristic_option",
              "label": "Characteristic option",
              "value": null,
              "display_value": "",
              "type": "reference"
            },
            "value": {
              "name": "value",
              "label": "Value",
              "value": null,
              "display_value": "",
              "type": "string"
            }
          }
        ],
        "sales_agreement_line_adjustments": [
          {
            "sys_id": {
              "label": "Sys ID",
              "value": "7093e08a78755a10f8777f88938ba1e1",
              "displayValue": "7093e08a78755a10f8777f88938ba1e1",
              "type": "GUID"
            },
            "sys_created_by": {
              "name": "sys_created_by",
[...]
